# 🗃️ EQ2Emu LoginDB Schema Documentation

This document describes the MySQL schema for the **Login Server** (`eq2ls`).

---

## 📚 Table of Contents

- [account](./database/login/account.md)
- [appearances](./database/login/appearances.md)
- [bug_notes](./database/login/bug_notes.md)
- [bugs](./database/login/bugs.md)
- [log_messages](./database/login/log_messages.md)
- [login_bannedips](./database/login/login_bannedips.md)
- [login_char_colors](./database/login/login_char_colors.md)
- [login_characters](./database/login/login_characters.md)
- [login_config](./database/login/login_config.md)
- [login_equipment](./database/login/login_equipment.md)
- [login_versions](./database/login/login_versions.md)
- [login_worldservers](./database/login/login_worldservers.md)
- [login_worldstats](./database/login/login_worldstats.md)
- [ls_character_picture](./database/login/ls_character_picture.md)
- [ls_world_zones](./database/login/ls_world_zones.md)
- [opcodes](./database/login/opcodes.md)
- [visual_states](./database/login/visual_states.md)
- [web_routes](./database/login/web_routes.md)
- [web_users](./database/login/web_users.md)
- [zones](./database/login/zones.md)

---

## ✨ Introduction

The login database stores user account information, login sessions, and status privileges for the server.

---

## 📌 Notes

- Schema extracted from `eq2emu_logindb_schema.sql`.
- Full table documentation will be added here.
