# 📜 EQ2Emu Lua API Documentation

This document will detail all Lua scripting functions available within EQ2Emu.

---

## 📚 Table of Contents

- [`AddCharacterTitle(Spawn, TitleName)`](./lua_functions/AddCharacterTitle.md)
- [`AddCoin(Player, Amount)`](./lua_functions/AddCoin.md)
- [`AddControlEffect(Spawn, Type, OnlyAddSpawn)`](./lua_functions/AddControlEffect.md)
- [`AddConversationOption(ConversationOption, Message, FunctionName)`](./lua_functions/AddConversationOption.md)
- [`AddHate(Spawn, NPC, Amount, SendPacket)`](./lua_functions/AddHate.md)
- [`AddImmunitySpell(ImmunityType, Spawn)`](./lua_functions/AddImmunitySpell.md)
- [`AddItem(Spawn, ItemID, Quantity)`](./lua_functions/AddItem.md)
- [`AddLanguage(Player, LanguageID)`](./lua_functions/AddLanguage.md)
- [`AddLootCoin(Spawn, Amount)`](./lua_functions/AddLootCoin.md)
- [`AddLootItem(Spawn, ItemID, Charges)`](./lua_functions/AddLootItem.md)
- [`AddMasterTitle(TitleName, IsPrefix)`](./lua_functions/AddMasterTitle.md)
- [`AddMultiFloorLift(Spawn)`](./lua_functions/AddMultiFloorLift.md)
- [`AddOptionWindowOption(OptionWindow, OptionName, OptionDescription, OptionIconSheet, OptionIconID, OptionCommand, OptionConfirmTitle)`](./lua_functions/AddOptionWindowOption.md)
- [`AddPlayerMail(Spawn, FromName, SubjectName, MailBody, MailType, Copper, Silver, Gold, Platinum, ItemID, StackSize, ExpireTime, SentTime)`](./lua_functions/AddPlayerMail.md)
- [`AddPlayerMailByCharID(CharacterID, FromName, SubjectName, MailBody, MailType, Copper, Silver, Gold, Platinum, ItemID, StackSize, ExpireTime, SentTime)`](./lua_functions/AddPlayerMailByCharID.md)
- [`AddPrimaryEntityCommand(Player, Spawn, Name, Distance, Command, ErrorText, CastTime, SpellVisual, DenyListDefault)`](./lua_functions/AddPrimaryEntityCommand.md)
- [`AddPrimaryEntityCommandAllSpawns(Player, SpawnID, Name, Distance, Command, ErrorText, CastTime, SpellVisual, DenyListDefault)`](./lua_functions/AddPrimaryEntityCommandAllSpawns.md)
- [`AddProc(Spawn, Type, Chance, Item, UseAllSpellTargets)`](./lua_functions/AddProc.md)
- [`AddProcExt(Spawn, ProcType, DamageType, Chance, HPRatio, BelowHealth, TargetHealth, Item, UseAllSpellTargets)`](./lua_functions/AddProcExt.md)
- [`AddQuestPrereqFaction(quest, faction_id, min, max)`](./lua_functions/AddQuestPrereqFaction.md)
- [`AddQuestPrereqItem(quest, item_id, quantity)`](./lua_functions/AddQuestPrereqItem.md)
- [`AddQuestPrereqModelType(quest, model_type)`](./lua_functions/AddQuestPrereqModelType.md)
- [`AddQuestPrereqQuest(quest, quest_id)`](./lua_functions/AddQuestPrereqQuest.md)
- [`AddQuestPrereqRace(quest, race)`](./lua_functions/AddQuestPrereqRace.md)
- [`AddQuestPrereqTradeskillClass(quest, class_id)`](./lua_functions/AddQuestPrereqTradeskillClass.md)
- [`AddQuestPrereqTradeskillLevel(quest, level)`](./lua_functions/AddQuestPrereqTradeskillLevel.md)
- [`AddQuestRewardCoin(quest, copper, silver, gold, plat)`](./lua_functions/AddQuestRewardCoin.md)
- [`AddQuestRewardFaction(quest, faction_id, amount)`](./lua_functions/AddQuestRewardFaction.md)
- [`AddQuestRewardItem(quest, item_id, quantity)`](./lua_functions/AddQuestRewardItem.md)
- [`AddQuestSelectableRewardItem(quest, item_id, quantity)`](./lua_functions/AddQuestSelectableRewardItem.md)
- [`AddQuestStep(quest, step, description, quantity, percentage, str_taskgroup, icon, usableitemid)`](./lua_functions/AddQuestStep.md)
- [`AddQuestStepChat(quest, step, description, quantity, str_taskgroup, icon, npc_id)`](./lua_functions/AddQuestStepChat.md)
- [`AddQuestStepCompleteAction(quest, step, action)`](./lua_functions/AddQuestStepCompleteAction.md)
- [`AddQuestStepCraft(quest, step, description, quantity, percentage, str_taskgroup, icon, crafted_item_id)`](./lua_functions/AddQuestStepCraft.md)
- [`AddQuestStepHarvest(quest, step, description, quantity, percentage, str_taskgroup, icon, harvested_item_id)`](./lua_functions/AddQuestStepHarvest.md)
- [`AddQuestStepLocation(quest, step, description, max_variation, str_taskgroup, icon, dest_x, dest_y, dest_z)`](./lua_functions/AddQuestStepLocation.md)
- [`AddQuestStepObtainItem(quest, step, description, quantity, percentage, str_taskgroup, icon, obtain_item_id)`](./lua_functions/AddQuestStepObtainItem.md)
- [`AddQuestStepProgressAction(quest, step, action)`](./lua_functions/AddQuestStepProgressAction.md)
- [`AddQuestStepSpell(quest, step, description, quantity, percentage, str_taskgroup, icon, cast_spell_id)`](./lua_functions/AddQuestStepSpell.md)
- [`AddQuestStepZoneLoc(quest, step, description, max_variation, str_taskgroup, icon, dest_x, dest_y, dest_z, dest_zone_id)`](./lua_functions/AddQuestStepZoneLoc.md)
- [`AddQuestUsableItem(quest, step, description, max_variation, str_taskgroup, icon, dest_x, dest_y, dest_z)`](./lua_functions/AddQuestUsableItem.md)
- [`AddRecipeBookToPlayer(player, recipe_book_id)`](./lua_functions/AddRecipeBookToPlayer.md)
- [`AddRespawn(zone, location_id, respawn_time)`](./lua_functions/AddRespawn.md)
- [`AddSkillBonus(spawn, skill_id, value)`](./lua_functions/AddSkillBonus.md)
- [`AddSpawnAccess(Spawn, Player)`](./lua_functions/AddSpawnAccess.md)
- [`AddSpawnIDAccess(Player, spawn_id, zone)`](./lua_functions/AddSpawnIDAccess.md)
- [`AddSpawnToGroup(spawn, new_group_id)`](./lua_functions/AddSpawnToGroup.md)
- [`AddSpellBonus(Spawn, type, value)`](./lua_functions/AddSpellBonus.md)
- [`AddSpellBookEntry(player, spellid, tier, add_silently, add_to_hotbar)`](./lua_functions/AddSpellBookEntry.md)
- [`AddStepProgress(player, quest_id, step, progress)`](./lua_functions/AddStepProgress.md)
- [`AddTimer(spawn, time, function, max_count, player)`](./lua_functions/AddTimer.md)
- [`AddTransportSpawn(spawn)`](./lua_functions/AddTransportSpawn.md)
- [`ApplySpellVisual(target, spell_visual)`](./lua_functions/ApplySpellVisual.md)
- [`Attack(NPC, Target)`](./lua_functions/Attack.md)
- [`Bind(spawn, zone_id, x, y, z, h)`](./lua_functions/Bind.md)
- [`CanReceiveQuest(spawn, quest_id)`](./lua_functions/CanReceiveQuest.md)
- [`CastCustomSpell(spell, caster, target)`](./lua_functions/CastCustomSpell.md)
- [`CastEntityCommand(caster, target, id, command)`](./lua_functions/CastEntityCommand.md)
- [`CastSpell(target, spell_id, spell_tier, caster, custom_cast_time)`](./lua_functions/CastSpell.md)
- [`ChangeFaction(spawn, faction_id, increase_or_decrease)`](./lua_functions/ChangeFaction.md)
- [`ChangeHandIcon(spawn, displayHandIcon)`](./lua_functions/ChangeHandIcon.md)
- [`ClearChoice(spawn, commandToClear, clearDecline)`](./lua_functions/ClearChoice.md)
- [`ClearRunningLocations(spawn)`](./lua_functions/ClearRunningLocations.md)
- [`CloseConversation(npc, player)`](./lua_functions/CloseConversation.md)
- [`CloseItemConversation(item, player)`](./lua_functions/CloseItemConversation.md)
- [`CreateChoiceWindow(npc, spawn, windowTextPrompt, acceptText, acceptCommand, declineText, declineCommand, time, textBox, textBoxRequired, maxLength)`](./lua_functions/CreateChoiceWindow.md)
- [`CreateConversation()`](./lua_functions/CreateConversation.md)
- [`CreatePersistedRespawn(location_id, spawn_type, respawn_time, zone_id)`](./lua_functions/CreatePersistedRespawn.md)
- [`CreateWidgetRegion(zone, version, region_name, env_name, grid_id, widget_id, dist)`](./lua_functions/CreateWidgetRegion.md)
- [`CureByControlEffect(cure_count, cure_type, cure_name, cure_level, target)`](./lua_functions/CureByControlEffect.md)
- [`CureByType(cure_count, cure_type, cure_name, cure_level, target, caster)`](./lua_functions/CureByType.md)
- [`DamageEquippedItems(spawn, damage_amount)`](./lua_functions/DamageEquippedItems.md)
- [`DamageSpawn(attacker, victim, type, dmg_type, low_damage, high_damage, spell_name, crit_mod)`](./lua_functions/DamageSpawn.md)
- [`DeleteDBShardID(ShardID)`](./lua_functions/DeleteDBShardID.md)
- [`DeleteSpellBook(player, type_selection)`](./lua_functions/DeleteSpellBook.md)
- [`Despawn(spawn, delay)`](./lua_functions/Despawn.md)
- [`DespawnByLocationID(zone, location_id, delay)`](./lua_functions/DespawnByLocationID.md)
- [`DismissPet(Spawn)`](./lua_functions/DismissPet.md)
- [`DisplayText(player, type, text)`](./lua_functions/DisplayText.md)
- [`Emote(spawn, message, spawn2, player)`](./lua_functions/Emote.md)
- [`EnableGameEvent(player, event_name, enabled)`](./lua_functions/EnableGameEvent.md)
- [`EndAutoMount(Spawn)`](./lua_functions/EndAutoMount.md)
- [`Evac(player, x, y, z, heading)`](./lua_functions/Evac.md)
- [`FaceTarget(spawn, target, reset_action_state)`](./lua_functions/FaceTarget.md)
- [`FlashWindow(player, window_name, flash_seconds)`](./lua_functions/FlashWindow.md)
- [`Gate(spell)`](./lua_functions/Gate.md)
- [`GetAAInfo(spawn, type)`](./lua_functions/GetAAInfo.md)
- [`GetAggroRadius(spawn)`](./lua_functions/GetAggroRadius.md)
- [`GetAgi(spawn)`](./lua_functions/GetAgi.md)
- [`GetAgiBase(spawn)`](./lua_functions/GetAgiBase.md)
- [`GetAlignment(Player)`](./lua_functions/GetAlignment.md)
- [`GetArchetypeName(spawn)`](./lua_functions/GetArchetypeName.md)
- [`GetArrowColor(player, level)`](./lua_functions/GetArrowColor.md)
- [`GetBaseAggroRadius(spawn)`](./lua_functions/GetBaseAggroRadius.md)
- [`GetBoundZoneID(spawn)`](./lua_functions/GetBoundZoneID.md)
- [`GetCanBind(spawn)`](./lua_functions/GetCanBind.md)
- [`GetCanEvac(spawn)`](./lua_functions/GetCanEvac.md)
- [`GetCanGate(spawn)`](./lua_functions/GetCanGate.md)
- [`GetCasterSpellLevel(spell)`](./lua_functions/GetCasterSpellLevel.md)
- [`GetCharacterFlag(player, flag_id)`](./lua_functions/GetCharacterFlag.md)
- [`GetCharacterID(spawn)`](./lua_functions/GetCharacterID.md)
- [`GetCharmedPet(Spawn)`](./lua_functions/GetCharmedPet.md)
- [`GetChoiceSpawnID(spawn, commandMatch, declineValue)`](./lua_functions/GetChoiceSpawnID.md)
- [`GetClass(spawn)`](./lua_functions/GetClass.md)
- [`GetClassName(spawn)`](./lua_functions/GetClassName.md)
- [`GetClientVersion(Spawn)`](./lua_functions/GetClientVersion.md)
- [`GetCoinMessage(total_coins)`](./lua_functions/GetCoinMessage.md)
- [`GetCosmeticPet(Spawn)`](./lua_functions/GetCosmeticPet.md)
- [`GetCurrentHP(spawn)`](./lua_functions/GetCurrentHP.md)
- [`GetCurrentPower(spawn)`](./lua_functions/GetCurrentPower.md)
- [`GetCurrentZoneSafeLocation(spawn)`](./lua_functions/GetCurrentZoneSafeLocation.md)
- [`GetDeity(spawn)`](./lua_functions/GetDeity.md)
- [`GetDeityPet(spawn)`](./lua_functions/GetDeityPet.md)
- [`GetDifficulty(spawn)`](./lua_functions/GetDifficulty.md)
- [`GetDistance(spawn, spawn2, include_radius)`](./lua_functions/GetDistance.md)
- [`GetEncounter(spawn)`](./lua_functions/GetEncounter.md)
- [`GetEncounterSize(spawn)`](./lua_functions/GetEncounterSize.md)
- [`GetFactionAmount(player, faction_id)`](./lua_functions/GetFactionAmount.md)
- [`GetFactionID(spawn)`](./lua_functions/GetFactionID.md)
- [`GetFollowTarget(Spawn)`](./lua_functions/GetFollowTarget.md)
- [`GetGender(spawn)`](./lua_functions/GetGender.md)
- [`GetGroup(Spawn)`](./lua_functions/GetGroup.md)
- [`GetHateList(spawn)`](./lua_functions/GetHateList.md)
- [`GetHeading(spawn)`](./lua_functions/GetHeading.md)
- [`GetID(spawn)`](./lua_functions/GetID.md)
- [`GetInfoStructFloat(spawn, field)`](./lua_functions/GetInfoStructFloat.md)
- [`GetInfoStructSInt(spawn, field)`](./lua_functions/GetInfoStructSInt.md)
- [`GetInfoStructString(spawn, field)`](./lua_functions/GetInfoStructString.md)
- [`GetInfoStructUInt(spawn, field)`](./lua_functions/GetInfoStructUInt.md)
- [`GetInt(spawn)`](./lua_functions/GetInt.md)
- [`GetIntBase(spawn)`](./lua_functions/GetIntBase.md)
- [`GetItemCount(item)`](./lua_functions/GetItemCount.md)
- [`GetItemEffectType(item)`](./lua_functions/GetItemEffectType.md)
- [`GetItemID(item)`](./lua_functions/GetItemID.md)
- [`GetItemSkillReq(item, type)`](./lua_functions/GetItemSkillReq.md)
- [`GetItemType(item)`](./lua_functions/GetItemType.md)
- [`GetLevel(spawn)`](./lua_functions/GetLevel.md)
- [`GetLootCoin(spawn)`](./lua_functions/GetLootCoin.md)
- [`GetLootDropType(spawn)`](./lua_functions/GetLootDropType.md)
- [`GetLootTier(spawn)`](./lua_functions/GetLootTier.md)
- [`GetMaxHP(spawn)`](./lua_functions/GetMaxHP.md)
- [`GetMaxHPBase(spawn)`](./lua_functions/GetMaxHPBase.md)
- [`GetMaxPower(spawn)`](./lua_functions/GetMaxPower.md)
- [`GetMaxPowerBase(spawn)`](./lua_functions/GetMaxPowerBase.md)
- [`GetModelType(spawn)`](./lua_functions/GetModelType.md)
- [`GetMostHated(NPC)`](./lua_functions/GetMostHated.md)
- [`GetMount(spawn)`](./lua_functions/GetMount.md)
- [`GetName(spawn)`](./lua_functions/GetName.md)
- [`GetOrigX(Spawn)`](./lua_functions/GetOrigX.md)
- [`GetOrigY(Spawn)`](./lua_functions/GetOrigY.md)
- [`GetOrigZ(Spawn)`](./lua_functions/GetOrigZ.md)
- [`GetOwner(spawn)`](./lua_functions/GetOwner.md)
- [`GetPassengerSpawnList(spawn)`](./lua_functions/GetPassengerSpawnList.md)
- [`GetPCTOfHP(spawn, pct)`](./lua_functions/GetPCTOfHP.md)
- [`GetPCTOfPower(spawn, pct)`](./lua_functions/GetPCTOfPower.md)
- [`GetPet(Spawn)`](./lua_functions/GetPet.md)
- [`GetPlayerHistory(Player, HistoryID)`](./lua_functions/GetPlayerHistory.md)
- [`GetPlayersInZone(Zone)`](./lua_functions/GetPlayersInZone.md)
- [`GetQuest(player, quest_id)`](./lua_functions/GetQuest.md)
- [`GetQuestCompleteCount(Spawn, QuestID)`](./lua_functions/GetQuestCompleteCount.md)
- [`GetQuestFlags(Quest)`](./lua_functions/GetQuestFlags.md)
- [`GetQuestStep(player, quest_id)`](./lua_functions/GetQuestStep.md)
- [`GetQuestStepProgress(player, quest_id, step_id)`](./lua_functions/GetQuestStepProgress.md)
- [`GetRace(spawn)`](./lua_functions/GetRace.md)
- [`GetRaceBaseType(Spawn)`](./lua_functions/GetRaceBaseType.md)
- [`GetRaceName(spawn)`](./lua_functions/GetRaceName.md)
- [`GetRaceType(Spawn)`](./lua_functions/GetRaceType.md)
- [`GetRandomSpawnByID(spawnref, spawn_id)`](./lua_functions/GetRandomSpawnByID.md)
- [`GetRuleFlagBool(category, name)`](./lua_functions/GetRuleFlagBool.md)
- [`GetRuleFlagFloat(category, name)`](./lua_functions/GetRuleFlagFloat.md)
- [`GetRuleFlagInt32(category, name)`](./lua_functions/GetRuleFlagInt32.md)
- [`GetRunbackDistance(spawn)`](./lua_functions/GetRunbackDistance.md)
- [`GetServerVariable(name)`](./lua_functions/GetServerVariable.md)
- [`GetShardCharID(ShardID)`](./lua_functions/GetShardCharID.md)
- [`GetShardCreatedTimestamp(ShardID)`](./lua_functions/GetShardCreatedTimestamp.md)
- [`GetShardID(npc)`](./lua_functions/GetShardID.md)
- [`GetSkill(spawn, name)`](./lua_functions/GetSkill.md)
- [`GetSkillIDByName(name)`](./lua_functions/GetSkillIDByName.md)
- [`GetSkillMaxValue(skill)`](./lua_functions/GetSkillMaxValue.md)
- [`GetSkillName(skill)`](./lua_functions/GetSkillName.md)
- [`GetSkillValue(skill)`](./lua_functions/GetSkillValue.md)
- [`GetSpawn(spawn, spawn_id)`](./lua_functions/GetSpawn.md)
- [`GetSpawnByGroupID(zone, group_id)`](./lua_functions/GetSpawnByGroupID.md)
- [`GetSpawnByLocationID(zone, location_id)`](./lua_functions/GetSpawnByLocationID.md)
- [`GetSpawnByRailID(zone, rail_id)`](./lua_functions/GetSpawnByRailID.md)
- [`GetSpawnFromList(spawns, position)`](./lua_functions/GetSpawnFromList.md)
- [`GetSpawnGroupID(spawn)`](./lua_functions/GetSpawnGroupID.md)
- [`GetSpawnID(spawn)`](./lua_functions/GetSpawnID.md)
- [`GetSpawnListByRailID(spawn, rail_id)`](./lua_functions/GetSpawnListByRailID.md)
- [`GetSpawnListBySpawnID(spawn, spawn_id)`](./lua_functions/GetSpawnListBySpawnID.md)
- [`GetSpawnLocationID(spawn)`](./lua_functions/GetSpawnLocationID.md)
- [`GetSpawnLocationPlacementID(spawn)`](./lua_functions/GetSpawnLocationPlacementID.md)
- [`GetSpeed(spawn)`](./lua_functions/GetSpeed.md)
- [`GetSpell(spell_id, spell_tier, custom_lua_script)`](./lua_functions/GetSpell.md)
- [`GetSpellCaster(spell)`](./lua_functions/GetSpellCaster.md)
- [`GetSpellData(spell, field)`](./lua_functions/GetSpellData.md)
- [`GetSpellDataIndex(spell, idx, secondfield)`](./lua_functions/GetSpellDataIndex.md)
- [`GetSpellDisplayEffect(spell, idx, field)`](./lua_functions/GetSpellDisplayEffect.md)
- [`GetSpellID()`](./lua_functions/GetSpellID.md)
- [`GetSpellInitialTarget(spell)`](./lua_functions/GetSpellInitialTarget.md)
- [`GetSpellName(spell)`](./lua_functions/GetSpellName.md)
- [`GetSpellRequiredLevel(spell)`](./lua_functions/GetSpellRequiredLevel.md)
- [`GetSpellTargets(spell)`](./lua_functions/GetSpellTargets.md)
- [`GetSpellTier()`](./lua_functions/GetSpellTier.md)
- [`GetSpellTriggerCount(spell)`](./lua_functions/GetSpellTriggerCount.md)
- [`GetSta(spawn)`](./lua_functions/GetSta.md)
- [`GetStaBase(spawn)`](./lua_functions/GetStaBase.md)
- [`GetStr(spawn)`](./lua_functions/GetStr.md)
- [`GetStrBase(spawn)`](./lua_functions/GetStrBase.md)
- [`GetTarget(spawn)`](./lua_functions/GetTarget.md)
- [`GetTaskGroupStep(player, quest_id)`](./lua_functions/GetTaskGroupStep.md)
- [`GetTemporaryTransportID(player)`](./lua_functions/GetTemporaryTransportID.md)
- [`GetTempVariable(spawn, var)`](./lua_functions/GetTempVariable.md)
- [`GetTradeskillClass(spawn)`](./lua_functions/GetTradeskillClass.md)
- [`GetTradeskillClassName(spawn)`](./lua_functions/GetTradeskillClassName.md)
- [`GetTradeskillLevel(spawn)`](./lua_functions/GetTradeskillLevel.md)
- [`GetTSArrowColor(player, level)`](./lua_functions/GetTSArrowColor.md)
- [`GetTutorialStep(player)`](./lua_functions/GetTutorialStep.md)
- [`GetVariableValue(variable_name)`](./lua_functions/GetVariableValue.md)
- [`GetWardAmountLeft(spell)`](./lua_functions/GetWardAmountLeft.md)
- [`GetWardValue(spell, type)`](./lua_functions/GetWardValue.md)
- [`GetWis(spawn)`](./lua_functions/GetWis.md)
- [`GetWisBase(spawn)`](./lua_functions/GetWisBase.md)
- [`GetX(spawn)`](./lua_functions/GetX.md)
- [`GetY(spawn)`](./lua_functions/GetY.md)
- [`GetZ(spawn)`](./lua_functions/GetZ.md)
- [`GetZone(zone_id|zone_name|spawn)`](./lua_functions/GetZone.md)
- [`GetZoneExpansionFlag(zone)`](./lua_functions/GetZoneExpansionFlag.md)
- [`GetZoneHolidayFlag(zone)`](./lua_functions/GetZoneHolidayFlag.md)
- [`GetZoneID(zone)`](./lua_functions/GetZoneID.md)
- [`GetZoneLockoutTimer(player, zoneID, displayClient)`](./lua_functions/GetZoneLockoutTimer.md)
- [`GetZoneName(zone)`](./lua_functions/GetZoneName.md)
- [`GetZonePlayerAvgLevel(zone)`](./lua_functions/GetZonePlayerAvgLevel.md)
- [`GetZonePlayerFirstLevel(zone)`](./lua_functions/GetZonePlayerFirstLevel.md)
- [`GetZonePlayerMaxLevel(zone)`](./lua_functions/GetZonePlayerMaxLevel.md)
- [`GetZonePlayerMinLevel(zone)`](./lua_functions/GetZonePlayerMinLevel.md)
- [`GiveExp(player, amount)`](./lua_functions/GiveExp.md)
- [`GiveLoot(entity, player, coins, item_id)`](./lua_functions/GiveLoot.md)
- [`GiveQuestReward(quest, spawn)`](./lua_functions/GiveQuestReward.md)
- [`HandInCollections(player)`](./lua_functions/HandInCollections.md)
- [`Harvest(player, node)`](./lua_functions/Harvest.md)
- [`HasCoin(Spawn, Value)`](./lua_functions/HasCoin.md)
- [`HasCollectionsToHandIn(player)`](./lua_functions/HasCollectionsToHandIn.md)
- [`HasCompletedQuest(player, quest_id)`](./lua_functions/HasCompletedQuest.md)
- [`HasControlEffect(spawn, type)`](./lua_functions/HasControlEffect.md)
- [`HasFreeSlot(player)`](./lua_functions/HasFreeSlot.md)
- [`HasGroup(spawn)`](./lua_functions/HasGroup.md)
- [`HasItem(Player, ItemID, IncludeBank)`](./lua_functions/HasItem.md)
- [`HasItemEquipped(player, item_id)`](./lua_functions/HasItemEquipped.md)
- [`HasLanguage(player, language_id)`](./lua_functions/HasLanguage.md)
- [`HasLootItem(spawn, item_id)`](./lua_functions/HasLootItem.md)
- [`HasMoved(spawn)`](./lua_functions/HasMoved.md)
- [`HasPendingLoot(entity, player)`](./lua_functions/HasPendingLoot.md)
- [`HasPendingLootItem(entity, player, item_id)`](./lua_functions/HasPendingLootItem.md)
- [`HasPendingQuest(player, quest_id)`](./lua_functions/HasPendingQuest.md)
- [`HasQuest(player, quest_id)`](./lua_functions/HasQuest.md)
- [`HasQuestRewardItem(quest, item_id)`](./lua_functions/HasQuestRewardItem.md)
- [`HasRecipeBook(player, recipe_id)`](./lua_functions/HasRecipeBook.md)
- [`HasRecovered(spawn)`](./lua_functions/HasRecovered.md)
- [`HasSkill(player, skill_id)`](./lua_functions/HasSkill.md)
- [`HasSpell(player, spellid, tier)`](./lua_functions/HasSpell.md)
- [`HasSpellEffect(spawn, spellID, tier)`](./lua_functions/HasSpellEffect.md)
- [`HasSpellImmunity(spawn, type)`](./lua_functions/HasSpellImmunity.md)
- [`IncreaseSkillCapsByType(player_spawn, skill_type, amount, more_to_increase)`](./lua_functions/IncreaseSkillCapsByType.md)
- [`InFront(spawn, target)`](./lua_functions/InFront.md)
- [`InLava(Spawn)`](./lua_functions/InLava.md)
- [`InstructionWindow(player, duration, text, voice, voice_key1, voice_key2, signal, goal1, task1, goal2, task2, goal3, task3, goal4, task4)`](./lua_functions/InstructionWindow.md)
- [`InstructionWindowClose(player)`](./lua_functions/InstructionWindowClose.md)
- [`InstructionWindowGoal(player, goal_num)`](./lua_functions/InstructionWindowGoal.md)
- [`InWater(Spawn)`](./lua_functions/InWater.md)
- [`IsAlive(spawn)`](./lua_functions/IsAlive.md)
- [`IsBehind(spawn, target)`](./lua_functions/IsBehind.md)
- [`IsBindAllowed(spawn)`](./lua_functions/IsBindAllowed.md)
- [`IsCasting(spawn)`](./lua_functions/IsCasting.md)
- [`IsCastOnAggroComplete(spawn)`](./lua_functions/IsCastOnAggroComplete.md)
- [`IsEntity(spawn)`](./lua_functions/IsEntity.md)
- [`IsEpic(Spawn)`](./lua_functions/IsEpic.md)
- [`IsFlanking(spawn, target)`](./lua_functions/IsFlanking.md)
- [`IsFollowing(spawn)`](./lua_functions/IsFollowing.md)
- [`IsGateAllowed(spawn)`](./lua_functions/IsGateAllowed.md)
- [`IsGroundSpawn(spawn)`](./lua_functions/IsGroundSpawn.md)
- [`IsHeroic(spawn)`](./lua_functions/IsHeroic.md)
- [`IsInCombat(spawn)`](./lua_functions/IsInCombat.md)
- [`IsInvis(spawn)`](./lua_functions/IsInvis.md)
- [`IsInvulnerable(spawn)`](./lua_functions/IsInvulnerable.md)
- [`IsMezzed(spawn)`](./lua_functions/IsMezzed.md)
- [`IsMezzedOrStunned(spawn)`](./lua_functions/IsMezzedOrStunned.md)
- [`IsNight(Zone)`](./lua_functions/IsNight.md)
- [`IsOnAutoMount(player)`](./lua_functions/IsOnAutoMount.md)
- [`IsPlayer(Player)`](./lua_functions/IsPlayer.md)
- [`IsRunning(spawn)`](./lua_functions/IsRunning.md)
- [`IsSpawnGroupAlive(zone, group_id)`](./lua_functions/IsSpawnGroupAlive.md)
- [`IsStealthed(spawn)`](./lua_functions/IsStealthed.md)
- [`IsStunned(spawn)`](./lua_functions/IsStunned.md)
- [`IsTransportSpawn(spawn)`](./lua_functions/IsTransportSpawn.md)
- [`IsZoneLoading(zone)`](./lua_functions/IsZoneLoading.md)
- [`KillSpawn(dead, killer)`](./lua_functions/KillSpawn.md)
- [`KillSpawnByDistance(spawn, max_distance, include_players, send_packet)`](./lua_functions/KillSpawnByDistance.md)
- [`Knockback(target_spawn, spawn, duration, vertical, horizontal, use_heading)`](./lua_functions/Knockback.md)
- [`LastSpellAttackHit()`](./lua_functions/LastSpellAttackHit.md)
- [`MakeRandomFloat(min, max)`](./lua_functions/MakeRandomFloat.md)
- [`ModifyHP(spawn, value)`](./lua_functions/ModifyHP.md)
- [`ModifyMaxHP(spawn, value)`](./lua_functions/ModifyMaxHP.md)
- [`ModifyMaxPower(spawn, value)`](./lua_functions/ModifyMaxPower.md)
- [`ModifyPower(spawn, value)`](./lua_functions/ModifyPower.md)
- [`MovementLoopAdd(spawn, x, y, z, speed, delay, function, heading, exclude_heading, use_nav_path)`](./lua_functions/MovementLoopAdd.md)
- [`MoveToLocation(spawn, x, y, z, speed, lua_function, more_points, use_nav_path)`](./lua_functions/MoveToLocation.md)
- [`OfferQuest(npc, player, quest_id, forced)`](./lua_functions/OfferQuest.md)
- [`PlayAnimation(spawn, anim, target, hide_type)`](./lua_functions/PlayAnimation.md)
- [`PlayAnimationString(spawn, name, opt_target, set_no_target, use_all_spelltargets, ignore_self)`](./lua_functions/PlayAnimationString.md)
- [`PlayFlavor(spawn, mp3_string, text_string, emote_string, key1, key2, player, language)`](./lua_functions/PlayFlavor.md)
- [`PlayFlavorID(spawn, type, id, index, player, language)`](./lua_functions/PlayFlavorID.md)
- [`PlaySound(spawn, sound_string, x, y, z, player)`](./lua_functions/PlaySound.md)
- [`PlayVoice(spawn, mp3_string, key1, key2, player)`](./lua_functions/PlayVoice.md)
- [`ProcDamage(caster, target, name, dmg_type, low_damage, high_damage, success_msg, effect_msg)`](./lua_functions/ProcDamage.md)
- [`ProcessMelee(spawn, target, distance)`](./lua_functions/ProcessMelee.md)
- [`ProcessSpell(spawn, target, distance)`](./lua_functions/ProcessSpell.md)
- [`ProvidesQuest(npc, quest_id)`](./lua_functions/ProvidesQuest.md)
- [`QuestIsComplete(player, quest_id)`](./lua_functions/QuestIsComplete.md)
- [`QuestReturnNPC(quest, spawn_id)`](./lua_functions/QuestReturnNPC.md)
- [`QuestStepIsComplete(player, quest_id, step_id)`](./lua_functions/QuestStepIsComplete.md)
- [`RegisterQuest(quest, name, type, zone, level, description)`](./lua_functions/RegisterQuest.md)
- [`RemoveCoin(Spawn, Amount)`](./lua_functions/RemoveCoin.md)
- [`RemoveControlEffect(spawn, type, only_remove_spawn)`](./lua_functions/RemoveControlEffect.md)
- [`RemoveIconValue(spawn, value)`](./lua_functions/RemoveIconValue.md)
- [`RemoveImmunitySpell(type, spawn)`](./lua_functions/RemoveImmunitySpell.md)
- [`RemoveInvis(spawn)`](./lua_functions/RemoveInvis.md)
- [`RemoveItem(spawn, item_id, quantity)`](./lua_functions/RemoveItem.md)
- [`RemoveLootItem(spawn, item_id)`](./lua_functions/RemoveLootItem.md)
- [`RemovePrimaryEntityCommand(Spawn, CommandString)`](./lua_functions/RemovePrimaryEntityCommand.md)
- [`RemoveProc(spawn, item)`](./lua_functions/RemoveProc.md)
- [`RemoveQuestStep(player, quest, step)`](./lua_functions/RemoveQuestStep.md)
- [`RemoveRecipeFromPlayer(player, recipe_id)`](./lua_functions/RemoveRecipeFromPlayer.md)
- [`RemoveRegion(zone, version, region_name)`](./lua_functions/RemoveRegion.md)
- [`RemoveSkill(player_spawn, skill_id, more_to_remove)`](./lua_functions/RemoveSkill.md)
- [`RemoveSkillBonus(spawn)`](./lua_functions/RemoveSkillBonus.md)
- [`RemoveSpawnAccess(Spawn, Player)`](./lua_functions/RemoveSpawnAccess.md)
- [`RemoveSpawnIDAccess(spawn, id, zone)`](./lua_functions/RemoveSpawnIDAccess.md)
- [`RemoveSpellBonus(spawn)`](./lua_functions/RemoveSpellBonus.md)
- [`RemoveSpellBookEntry(player, spellid)`](./lua_functions/RemoveSpellBookEntry.md)
- [`RemoveStealth(spawn)`](./lua_functions/RemoveStealth.md)
- [`RemoveThreatTransfer(spawn)`](./lua_functions/RemoveThreatTransfer.md)
- [`RemoveTriggerFromSpell(remove_count)`](./lua_functions/RemoveTriggerFromSpell.md)
- [`RemoveWard()`](./lua_functions/RemoveWard.md)
- [`RemoveWidgetFromSpawnMap(spawn, widget_id)`](./lua_functions/RemoveWidgetFromSpawnMap.md)
- [`RemoveWidgetFromZoneMap(zone, widget_id)`](./lua_functions/RemoveWidgetFromZoneMap.md)
- [`ReplaceWidgetFromClient(player, widget_id, x, y, z, grid_id)`](./lua_functions/ReplaceWidgetFromClient.md)
- [`ResetIllusion(spawn)`](./lua_functions/ResetIllusion.md)
- [`ResetQuestStep(quest, step, desc, task_group)`](./lua_functions/ResetQuestStep.md)
- [`Resurrect(hp_perc, power_perc, send_window, target, heal_name, crit_mod, no_calcs, revive_spell_id, revive_spell_tier)`](./lua_functions/Resurrect.md)
- [`Say(spawn, message, player, dist, language)`](./lua_functions/Say.md)
- [`SayOOC(spawn, message, player, dist, language)`](./lua_functions/SayOOC.md)
- [`SendHearCast(spell, spell_visual_id, cast_time, caster, target)`](./lua_functions/SendHearCast.md)
- [`SendMessage(spawn, message, color_str)`](./lua_functions/SendMessage.md)
- [`SendNewAdventureSpells(player)`](./lua_functions/SendNewAdventureSpells.md)
- [`SendNewTradeskillSpells(player)`](./lua_functions/SendNewTradeskillSpells.md)
- [`SendOptionWindow(option_window, player, window_title, cancel_command)`](./lua_functions/SendOptionWindow.md)
- [`SendPopUpMessage(spawn, message, red, green, blue)`](./lua_functions/SendPopUpMessage.md)
- [`SendStateCommand(spawn, new_state, player)`](./lua_functions/SendStateCommand.md)
- [`SendTransporters(spawn, player, transport_id)`](./lua_functions/SendTransporters.md)
- [`SendUpdateDefaultCommand(Spawn, Distance, CommandString, Player)`](./lua_functions/SendUpdateDefaultCommand.md)
- [`SetAAInfo(spawn, type, value)`](./lua_functions/SetAAInfo.md)
- [`SetAccessToEntityCommand(Spawn, Player, CommandString, Allowed)`](./lua_functions/SetAccessToEntityCommand.md)
- [`SetAccessToEntityCommandByCharID(Spawn, CharID, CommandString, Allowed)`](./lua_functions/SetAccessToEntityCommandByCharID.md)
- [`SetAdventureClass(spawn, value)`](./lua_functions/SetAdventureClass.md)
- [`SetAggroRadius(spawn, distance, override_)`](./lua_functions/SetAggroRadius.md)
- [`SetAgi(spawn, value)`](./lua_functions/SetAgi.md)
- [`SetAgiBase(spawn, value)`](./lua_functions/SetAgiBase.md)
- [`SetAlignment(spawn, alignment)`](./lua_functions/SetAlignment.md)
- [`SetAttackable(spawn, attackable)`](./lua_functions/SetAttackable.md)
- [`SetBrainTick(spawn, tick)`](./lua_functions/SetBrainTick.md)
- [`SetCanBind(spawn, canbind)`](./lua_functions/SetCanBind.md)
- [`SetCanEvac(spawn, canevac)`](./lua_functions/SetCanEvac.md)
- [`SetCanGate(spawn, cangate)`](./lua_functions/SetCanGate.md)
- [`SetCastOnAggroComplete(spawn, value)`](./lua_functions/SetCastOnAggroComplete.md)
- [`SetCharacterTitlePrefix(spawn, titleName)`](./lua_functions/SetCharacterTitlePrefix.md)
- [`SetCharacterTitleSuffix(spawn, titleName)`](./lua_functions/SetCharacterTitleSuffix.md)
- [`SetCharSheetChanged(spawn, value)`](./lua_functions/SetCharSheetChanged.md)
- [`SetCoinTmpReward(quest, coins)`](./lua_functions/SetCoinTmpReward.md)
- [`SetCompletedDescription(quest, description)`](./lua_functions/SetCompletedDescription.md)
- [`SetCompleteFlag(quest)`](./lua_functions/SetCompleteFlag.md)
- [`SetCurrentHP(spawn, value)`](./lua_functions/SetCurrentHP.md)
- [`SetCurrentPower(spawn, value)`](./lua_functions/SetCurrentPower.md)
- [`SetDeity(spawn, value)`](./lua_functions/SetDeity.md)
- [`SetFactionID(spawn, value)`](./lua_functions/SetFactionID.md)
- [`SetFailureTimer(spawn)`](./lua_functions/SetFailureTimer.md)
- [`SetFollowTarget(spawn, target, follow_distance)`](./lua_functions/SetFollowTarget.md)
- [`SetGridID(spawn, grid)`](./lua_functions/SetGridID.md)
- [`SetHeading(spawn, value)`](./lua_functions/SetHeading.md)
- [`SetIllusion(spawn, model)`](./lua_functions/SetIllusion.md)
- [`SetInCombat(spawn, val)`](./lua_functions/SetInCombat.md)
- [`SetInfoFlag(spawn)`](./lua_functions/SetInfoFlag.md)
- [`SetInfoStructFloat(spawn, field, value)`](./lua_functions/SetInfoStructFloat.md)
- [`SetInfoStructSInt(spawn, field, value)`](./lua_functions/SetInfoStructSInt.md)
- [`SetInfoStructString(spawn, field, value)`](./lua_functions/SetInfoStructString.md)
- [`SetInfoStructUInt(spawn, field, value)`](./lua_functions/SetInfoStructUInt.md)
- [`SetInt(spawn, value)`](./lua_functions/SetInt.md)
- [`SetIntBase(spawn, value)`](./lua_functions/SetIntBase.md)
- [`SetItemCount(item, owner, new_count)`](./lua_functions/SetItemCount.md)
- [`SetLocationProximityFunction(zone, x, y, z, max_variation, in_range_function, leaving_range_function)`](./lua_functions/SetLocationProximityFunction.md)
- [`SetLootCoin(spawn, val)`](./lua_functions/SetLootCoin.md)
- [`SetLootDropType(spawn, loot_drop_type)`](./lua_functions/SetLootDropType.md)
- [`SetLootTier(spawn, loot_tier)`](./lua_functions/SetLootTier.md)
- [`SetLuaBrain(spawn)`](./lua_functions/SetLuaBrain.md)
- [`SetMaxHP(spawn, value)`](./lua_functions/SetMaxHP.md)
- [`SetMaxHPBase(spawn, value)`](./lua_functions/SetMaxHPBase.md)
- [`SetMaxPower(spawn, value)`](./lua_functions/SetMaxPower.md)
- [`SetMaxPowerBase(spawn, value)`](./lua_functions/SetMaxPowerBase.md)
- [`SetModelType(spawn, value)`](./lua_functions/SetModelType.md)
- [`SetMount(spawn, value)`](./lua_functions/SetMount.md)
- [`SetMountColor(spawn, red, green, blue, red, green, blue)`](./lua_functions/SetMountColor.md)
- [`SetPlayerHistory(player, event_id, value, value2)`](./lua_functions/SetPlayerHistory.md)
- [`SetPlayerPOVGhost(player, spawn)`](./lua_functions/SetPlayerPOVGhost.md)
- [`SetPlayerProximityFunction(spawn, distance, in_range_function, leaving_range_function)`](./lua_functions/SetPlayerProximityFunction.md)
- [`SetPosition(spawn, x, y, z, heading)`](./lua_functions/SetPosition.md)
- [`SetQuestCompleteAction(quest, action)`](./lua_functions/SetQuestCompleteAction.md)
- [`SetQuestFeatherColor(quest, feather_color)`](./lua_functions/SetQuestFeatherColor.md)
- [`SetQuestFlags(quest, flags)`](./lua_functions/SetQuestFlags.md)
- [`SetQuestPrereqLevel(quest, level)`](./lua_functions/SetQuestPrereqLevel.md)
- [`SetQuestRepeatable(quest)`](./lua_functions/SetQuestRepeatable.md)
- [`SetQuestRewardComment(quest, comment)`](./lua_functions/SetQuestRewardComment.md)
- [`SetQuestRewardExp(quest, exp)`](./lua_functions/SetQuestRewardExp.md)
- [`SetQuestRewardStatus(quest, status, min_status_earned, max_status_earned)`](./lua_functions/SetQuestRewardStatus.md)
- [`SetQuestTimer(quest, player, step, duration, action)`](./lua_functions/SetQuestTimer.md)
- [`SetQuestTimerComplete(quest, player)`](./lua_functions/SetQuestTimerComplete.md)
- [`SetQuestYellow(quest)`](./lua_functions/SetQuestYellow.md)
- [`SetRailID(spawn, rail_id)`](./lua_functions/SetRailID.md)
- [`SetRequiredHistory(spawn, event_id, value1, value2, flag_override)`](./lua_functions/SetRequiredHistory.md)
- [`SetRequiredQuest(spawn, quest_id, quest_step, flag_override)`](./lua_functions/SetRequiredQuest.md)
- [`SetServerControlFlag(spawn, param, param_value, value)`](./lua_functions/SetServerControlFlag.md)
- [`SetServerVariable(name, value, comment)`](./lua_functions/SetServerVariable.md)
- [`SetSkillMaxValue(skill, value)`](./lua_functions/SetSkillMaxValue.md)
- [`SetSkillValue(skill, value)`](./lua_functions/SetSkillValue.md)
- [`SetSpawnAnimation(spawn, anim_id, leeway)`](./lua_functions/SetSpawnAnimation.md)
- [`SetSpawnGroupID(spawn, new_group_id)`](./lua_functions/SetSpawnGroupID.md)
- [`SetSpeed(spawn, value)`](./lua_functions/SetSpeed.md)
- [`SetSpeedMultiplier(spawn, val)`](./lua_functions/SetSpeedMultiplier.md)
- [`SetSpellData(spell, field, fieldvalue)`](./lua_functions/SetSpellData.md)
- [`SetSpellDataIndex(spell, idx, value, value2)`](./lua_functions/SetSpellDataIndex.md)
- [`SetSpellDisplayEffect(spell, idx, field, percentage)`](./lua_functions/SetSpellDisplayEffect.md)
- [`SetSpellList(spawn, primary_list, secondary_list)`](./lua_functions/SetSpellList.md)
- [`SetSpellSnareValue(snare, spawn)`](./lua_functions/SetSpellSnareValue.md)
- [`SetSpellTriggerCount(trigger_count, cancel_after_triggers)`](./lua_functions/SetSpellTriggerCount.md)
- [`SetSta(spawn, value)`](./lua_functions/SetSta.md)
- [`SetStaBase(spawn, value)`](./lua_functions/SetStaBase.md)
- [`SetStatusTmpReward(quest, status)`](./lua_functions/SetStatusTmpReward.md)
- [`SetStepComplete(player, quest_id, step)`](./lua_functions/SetStepComplete.md)
- [`SetStepFailed(player, quest_id, step)`](./lua_functions/SetStepFailed.md)
- [`SetStr(spawn, value)`](./lua_functions/SetStr.md)
- [`SetStrBase(spawn, value)`](./lua_functions/SetStrBase.md)
- [`SetSuccessTimer(spawn)`](./lua_functions/SetSuccessTimer.md)
- [`SetTemporaryTransportID(player, transport_id)`](./lua_functions/SetTemporaryTransportID.md)
- [`SetTempVariable(spawn, var, val)`](./lua_functions/SetTempVariable.md)
- [`SetTradeskillClass(spawn, value)`](./lua_functions/SetTradeskillClass.md)
- [`SetTradeskillLevel(spawn, level)`](./lua_functions/SetTradeskillLevel.md)
- [`SetTutorialStep(player, step)`](./lua_functions/SetTutorialStep.md)
- [`SetVision(spawn, vision)`](./lua_functions/SetVision.md)
- [`SetVisualFlag(spawn)`](./lua_functions/SetVisualFlag.md)
- [`SetWis(spawn, value)`](./lua_functions/SetWis.md)
- [`SetWisBase(spawn, value)`](./lua_functions/SetWisBase.md)
- [`SetWorldTime(newYear, newMonth, newHour, newMinute)`](./lua_functions/SetWorldTime.md)
- [`SetZoneExpansionFlag(zone, xpackFlag)`](./lua_functions/SetZoneExpansionFlag.md)
- [`SetZoneHolidayFlag(zone, holidayFlag)`](./lua_functions/SetZoneHolidayFlag.md)
- [`Shout(spawn, message, player, dist, language)`](./lua_functions/Shout.md)
- [`ShowLootWindow(player, spawn)`](./lua_functions/ShowLootWindow.md)
- [`ShowWindow(player, window, show)`](./lua_functions/ShowWindow.md)
- [`Spawn(zone, spawn_id, x, y, z, heading)`](./lua_functions/Spawn.md)
- [`SpawnByLocationID(zone, location_id)`](./lua_functions/SpawnByLocationID.md)
- [`SpawnGroupByID(zone, group_id, custom_level)`](./lua_functions/SpawnGroupByID.md)
- [`SpawnMove(spawn, player, max_distance, type)`](./lua_functions/SpawnMove.md)
- [`SpawnSet(spawn, variable, value, no_update, temporary_flag, index)`](./lua_functions/SpawnSet.md)
- [`SpawnSetByDistance(spawn, max_distance, variable, value)`](./lua_functions/SpawnSetByDistance.md)
- [`SpellDamage(target, type, min_damage, max_damage, crit_mod, no_calcs, class_id)`](./lua_functions/SpellDamage.md)
- [`SpellDamageExt(target, type, min_damage, max_damage, crit_mod, no_calcs, override_packet_type, take_power, class_id)`](./lua_functions/SpellDamageExt.md)
- [`SpellHeal(heal_type, min_heal, max_heal, target, crit_mod, no_calcs, custom_spell_name)`](./lua_functions/SpellHeal.md)
- [`SpellHealPct(heal_type, percentage, current_value, caster_value, target, crit_mod, no_calcs, custom_spell_name)`](./lua_functions/SpellHealPct.md)
- [`StartAutoMount(player, path)`](./lua_functions/StartAutoMount.md)
- [`StartConversation(conversation, source, player, text, mp3, key1, key2, language, can_close)`](./lua_functions/StartConversation.md)
- [`StartDialogConversation(conversation, type, spawn, player, text, mp3, key1, key2, language, can_close)`](./lua_functions/StartDialogConversation.md)
- [`StartHeroicOpportunity(caster, class_id)`](./lua_functions/StartHeroicOpportunity.md)
- [`StartTransmute(spawn)`](./lua_functions/StartTransmute.md)
- [`Stealth(type, spawn)`](./lua_functions/Stealth.md)
- [`StopMovement(spawn)`](./lua_functions/StopMovement.md)
- [`StopTimer(spawn, function)`](./lua_functions/StopTimer.md)
- [`SummonCosmeticPet(spawn, pet_id)`](./lua_functions/SummonCosmeticPet.md)
- [`SummonDeityPet(spawn, pet_id)`](./lua_functions/SummonDeityPet.md)
- [`SummonDumbFirePet(spawn, target, pet_id, x, y, z)`](./lua_functions/SummonDumbFirePet.md)
- [`SummonItem(spawn, item_id, location, item_count)`](./lua_functions/SummonItem.md)
- [`SummonPet(spawn, pet_id, max_level)`](./lua_functions/SummonPet.md)
- [`ToggleCharacterFlag(player, flag_id)`](./lua_functions/ToggleCharacterFlag.md)
- [`ToggleFollow(spawn)`](./lua_functions/ToggleFollow.md)
- [`ToggleTracking(spawn)`](./lua_functions/ToggleTracking.md)
- [`UpdateQuestDescription(quest, description)`](./lua_functions/UpdateQuestDescription.md)
- [`UpdateQuestStepDescription(quest, step, description)`](./lua_functions/UpdateQuestStepDescription.md)
- [`UpdateQuestTaskGroupDescription(quest, step, description)`](./lua_functions/UpdateQuestTaskGroupDescription.md)
- [`UpdateQuestZone(quest, zone)`](./lua_functions/UpdateQuestZone.md)
- [`UseWidget(widget)`](./lua_functions/UseWidget.md)
- [`Zone(zone, player, x, y, z, heading)`](./lua_functions/Zone.md)